﻿<%@ Page Language="C#" ValidateRequest="false" %>

<!DOCTYPE html>

<script runat="server">
 
    private int w, h, widthFactor, heightFactor, autoCloseDelay;
    private int? left, top;
    private string text = null, countDownText = null, countDownClosingText = null;
    private string jqOpenAnimationEffect, jqOpenAnimationEasing, jqCloseAnimationEffect, jqCloseAnimationEasing, anchorPosition;
    private int jqOpenAnimationDuration, jqCloseAnimationDuration;
    private bool jqUIEnabled = false, showCountDown = false;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            RadWindowManager1.RenderMode = (RenderMode)Enum.Parse(typeof(RenderMode), ddlRenderMode.SelectedValue);// RenderMode.Auto;
            txtMsg.Text = @"Decrease your browser window size, give a very high width like 5000, mention 90 for width proportion, 90 for height proportion and notice how the dialog autosizes.) 
                            (To make your dialog window occupy maximum width give a very high width like 5000)";
            RadWindowManager1.Animation = (WindowAnimation)Enum.Parse(typeof(WindowAnimation), ddlAnimation.SelectedValue);
            RadWindowManager1.AnimationDuration = 800;
        }
        else
        {
            int.TryParse(txtWidth.Text, out w);
            int.TryParse(txtHeight.Text, out h);
            int.TryParse(wPerc.Text, out widthFactor);
            int.TryParse(hPerc.Text, out heightFactor);
            text = (txtMsg.Text.Trim() == string.Empty ? "Please mention a message. You have not mentioned any message to display." : txtMsg.Text);


            RadWindowManager1.Animation = (WindowAnimation)Enum.Parse(typeof(WindowAnimation), ddlAnimation.SelectedValue);
            int animationDuration;
            int.TryParse(txtAnimationDuration.Text, out  animationDuration);
            RadWindowManager1.AnimationDuration = (animationDuration == 0 ? 500 : animationDuration);
            txtAnimationDuration.Text = (animationDuration == 0 ? 500 : animationDuration).ToString();

            RadWindowManager1.RenderMode = (RenderMode)Enum.Parse(typeof(RenderMode), ddlRenderMode.SelectedValue);// RenderMode.Auto;

            SetjqAnimationSettings();


        }
        RadFormDecorator1.RenderMode = RadWindowManager1.RenderMode;
        RadSkinManager1.RenderMode = RadWindowManager1.RenderMode;
        radWindow1.RenderMode = RadWindowManager1.RenderMode;
        radWindow2.RenderMode = RadWindowManager1.RenderMode;
        radWindow3.RenderMode = RadWindowManager1.RenderMode;
        rwdCode.RenderMode = RadWindowManager1.RenderMode;

    }
    private void SetjqAnimationSettings()
    {
        jqUIEnabled = chkjqUIAnimationEnabled.Checked;

        if (jqUIEnabled)
        {
            jqOpenAnimationEffect = Request["openeffect"];
            jqOpenAnimationEasing = Request["openeasing"];
            jqCloseAnimationEffect = Request["closeeffect"];
            jqCloseAnimationEasing = Request["closeeasing"];
        }
        else
        {
            jqOpenAnimationEffect = Request["openeffect1"];
            jqOpenAnimationEasing = Request["openeasing"];
            jqCloseAnimationEffect = Request["closeeffect1"];
            jqCloseAnimationEasing = Request["closeeasing"];


        }
        int.TryParse(txtjqOpenAnimationDuration.Text, out jqOpenAnimationDuration);
        int.TryParse(txtjqCloseAnimationDuration.Text, out jqCloseAnimationDuration);
        showCountDown = chkShowCountDown.Checked;
        countDownText = txtTimerMessage.Text;
        countDownClosingText = txtTimerClosingMessage.Text;
        int.TryParse(txtAutoCloseDelay.Text, out autoCloseDelay);
        anchorPosition = Request["anchorposition"];
        int val = 0;
        if (!string.IsNullOrWhiteSpace(txtLeft.Text))
        {

            int.TryParse(txtLeft.Text, out val);
            left = val;
        }
        val = 0;
        if (!string.IsNullOrWhiteSpace(txtTop.Text))
        {
            int.TryParse(txtTop.Text, out val);
            top = val;
        }

        if (!string.IsNullOrWhiteSpace(jqOpenAnimationEffect))
        {
            jqOpenAnimationEffect = jqOpenAnimationEffect[0].ToString().ToUpper() + jqOpenAnimationEffect.Substring(1);
        }
        jqOpenAnimationEasing = jqOpenAnimationEasing[0].ToString().ToUpper() + jqOpenAnimationEasing.Substring(1);
        if (!string.IsNullOrWhiteSpace(jqCloseAnimationEffect))
        {
            jqCloseAnimationEffect = jqCloseAnimationEffect[0].ToString().ToUpper() + jqCloseAnimationEffect.Substring(1);
        }
        jqCloseAnimationEasing = jqCloseAnimationEasing[0].ToString().ToUpper() + jqCloseAnimationEasing.Substring(1);

    }
    private AutoSizedStandardDialogOptions SetDialogOptions()
    {
        AutoSizedStandardDialogOptions dialogOptions = new AutoSizedStandardDialogOptions();
        dialogOptions.UIjqAnimationEnabled = jqUIEnabled;
        dialogOptions.ClosejqAnimation = string.IsNullOrWhiteSpace(jqCloseAnimationEffect) ? ClosejqAnimation.None : (ClosejqAnimation)Enum.Parse(typeof(ClosejqAnimation), jqCloseAnimationEffect);
        dialogOptions.ClosejqAnimationEasing = (EasingjqAnimation)Enum.Parse(typeof(EasingjqAnimation), jqCloseAnimationEasing);
        dialogOptions.ClosejqAnimationDuration = jqCloseAnimationDuration;
        dialogOptions.OpenjqAnimation = string.IsNullOrWhiteSpace(jqOpenAnimationEffect) ? OpenjqAnimation.None : (OpenjqAnimation)Enum.Parse(typeof(OpenjqAnimation), jqOpenAnimationEffect);
        dialogOptions.OpenjqAnimationEasing = (EasingjqAnimation)Enum.Parse(typeof(EasingjqAnimation), jqCloseAnimationEasing);
        dialogOptions.OpenjqAnimationDuration = jqOpenAnimationDuration;
        dialogOptions.AnchorPosition = (AnchorPosition)Enum.Parse(typeof(AnchorPosition), anchorPosition);
        dialogOptions.Left = left;
        dialogOptions.Top = top;
        dialogOptions.AutoCloseDelay = autoCloseDelay;
        dialogOptions.CountDownText = countDownText;
        dialogOptions.CountDownClosingText = countDownClosingText;
        dialogOptions.ShowCountDown = showCountDown;
        dialogOptions.IsPositionFixed = fixedPosition.Checked;
        return dialogOptions;
    }
    protected void ddlRenderMode_SelectedIndexChanged(object sender, EventArgs e)
    {
        switch (ddlRenderMode.SelectedValue)
        {
            case "Auto":
                RadFormDecorator1.RenderMode = RenderMode.Auto;
                RadSkinManager1.RenderMode = RenderMode.Auto;
                radWindow1.RenderMode = RenderMode.Auto;
                radWindow2.RenderMode = RenderMode.Auto;
                RadWindowManager1.RenderMode = RenderMode.Auto;
                rwdCode.RenderMode = RenderMode.Auto;
                radWindow3.RenderMode = RenderMode.Auto;
                break;
            case "Classic":
                RadFormDecorator1.RenderMode = RenderMode.Classic;
                RadSkinManager1.RenderMode = RenderMode.Classic;
                radWindow1.RenderMode = RenderMode.Classic;
                radWindow2.RenderMode = RenderMode.Classic;
                RadWindowManager1.RenderMode = RenderMode.Classic;
                rwdCode.RenderMode = RenderMode.Classic;
                radWindow3.RenderMode = RenderMode.Classic;
                break;
            case "Mobile":
                RadFormDecorator1.RenderMode = RenderMode.Mobile;
                RadSkinManager1.RenderMode = RenderMode.Mobile;
                radWindow1.RenderMode = RenderMode.Mobile;
                radWindow2.RenderMode = RenderMode.Mobile;
                RadWindowManager1.RenderMode = RenderMode.Mobile;
                rwdCode.RenderMode = RenderMode.Mobile;
                radWindow3.RenderMode = RenderMode.Mobile;
                break;
            case "Lighweight":
                RadFormDecorator1.RenderMode = RenderMode.Lightweight;
                RadSkinManager1.RenderMode = RenderMode.Lightweight;
                radWindow1.RenderMode = RenderMode.Lightweight;
                radWindow2.RenderMode = RenderMode.Mobile;
                RadWindowManager1.RenderMode = RenderMode.Lightweight;
                rwdCode.RenderMode = RenderMode.Lightweight;
                radWindow3.RenderMode = RenderMode.Lightweight;
                break;
            default:
                RadFormDecorator1.RenderMode = RenderMode.Auto;
                RadSkinManager1.RenderMode = RenderMode.Auto;
                radWindow1.RenderMode = RenderMode.Auto;
                radWindow2.RenderMode = RenderMode.Mobile;
                RadWindowManager1.RenderMode = RenderMode.Auto;
                rwdCode.RenderMode = RenderMode.Auto;
                radWindow3.RenderMode = RenderMode.Auto;
                break;
        }

    }

    protected void btnAlertServerSide_Click(object sender, EventArgs e)
    {
        // RadWindowManager1.RadAlert(AutoSizedStandardDialogs.CleanText(text), w, h, "Server-side RadAlert", null, null);
        AutoSizedStandardDialogs.RadAlertAutoSized(text, w, h, "Server-side RadAlert", null, null, autoSize.Checked, widthFactor, heightFactor, dialogOptions: SetDialogOptions());
    }

    protected void btnAlertAjax_Click(object sender, EventArgs e)
    {

        AutoSizedStandardDialogs.RadAlertAutoSizedFromAjax(text, w, h, "Server-side RadAlert", null, null, autoSize.Checked, widthFactor, heightFactor, SetDialogOptions());
    }

    protected void btnConfirmServerSide_Click(object sender, EventArgs e)
    {
        //RadWindowManager1.RadConfirm(AutoSizedStandardDialogs.CleanText(text), "confirmCallBackFn", w, h, null, "Server-side RadConfirm", null);
        AutoSizedStandardDialogs.RadConfirmAutoSized(text, "confirmCallBackFn", w, h, null, "Server-side RadConfirm", null, autoSize.Checked, widthFactor, heightFactor, SetDialogOptions());
    }

    protected void btnPromptServerSide_Click(object sender, EventArgs e)
    {
        //RadWindowManager1.RadPrompt(AutoSizedStandardDialogs.CleanText(text), "promptCallBackFn", w, h, null, "Server-side RadPrompt", null);
        AutoSizedStandardDialogs.RadPromptAutoSized(text, "promptCallBackFn", w, h, null, "Server-side RadPrompt", "200", autoSize.Checked, widthFactor, heightFactor, SetDialogOptions());
    }

    protected void btnConfirmAjax_Click(object sender, EventArgs e)
    {
        AutoSizedStandardDialogs.RadConfirmAutoSizedFromAjax(text, "confirmCallBackFn", w, h, null, "Server-side RadConfirm", null, autoSize.Checked, widthFactor, heightFactor, SetDialogOptions());
    }

    protected void btnPromptAjax_Click(object sender, EventArgs e)
    {
        AutoSizedStandardDialogs.RadPromptAutoSizedFromAjax(text, "promptCallBackFn", w, h, null, "Server-side RadPrompt", "200", autoSize.Checked, widthFactor, heightFactor, SetDialogOptions());
    }

    protected void btnRadWindowAjax_Click(object sender, EventArgs e)
    {
        AutoSizedStandardDialogs.RadWindowAutoSizedFromAjax(radWindow1, SetDialogOptions());
    }

    protected void btnRadWindowServerSide_Click(object sender, EventArgs e)
    {
        AutoSizedStandardDialogs.RadWindowAutoSized(radWindow1, SetDialogOptions());

    }

    protected void ddlAnimation_SelectedIndexChanged(object sender, EventArgs e)
    {
        RadWindowManager1.Animation = (WindowAnimation)Enum.Parse(typeof(WindowAnimation), ddlAnimation.SelectedValue);
        radWindow1.Animation = RadWindowManager1.Animation;
        radWindow3.Animation = RadWindowManager1.Animation;

    }

    protected void txtAnimationDuration_TextChanged(object sender, EventArgs e)
    {
        int animationDuration;
        int.TryParse(txtAnimationDuration.Text, out  animationDuration);
        RadWindowManager1.AnimationDuration = animationDuration;
        radWindow1.AnimationDuration = animationDuration;
        radWindow3.AnimationDuration = animationDuration;
    }
    #region Code Generators
    /// <summary>
    /// IGNORE THIS METHOD since its used to generate code only.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnClientCode_Click(object sender, EventArgs e)
    {
        lblCodeType.Text = "Client-side JavaScript code";
        StringBuilder sb = new StringBuilder();
        sb.Append("//None of the jqAnimation settings below will have any effect if RadWindowManager \n//has its Animation property set to something other than None.\n//However, other settings like anchor position, autoclose delay etc.\n//will work in this situation.\n\n");
        sb.AppendFormat("az.UIjqAnimationEnabled = {0};", chkjqUIAnimationEnabled.Checked.ToString().ToLower());
        sb.Append("\nvar dialogOptions = {};");
        if (chkjqUIAnimationEnabled.Checked)
        {
            if (openeffect.Value != "")
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimation = '{1}';", sb.Length > 0 ? "\n" : string.Empty, openeffect.Value);
            }
            else
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimation = null;", sb.Length > 0 ? "\n" : string.Empty);
            }
            if (openeasing.Value != "")
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimationEasing = '{1}';", sb.Length > 0 ? "\n" : string.Empty, openeasing.Value);
            }
            if (!string.IsNullOrWhiteSpace(txtjqOpenAnimationDuration.Text))
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimationDuration = {1};", sb.Length > 0 ? "\n" : string.Empty, txtjqOpenAnimationDuration.Text);
            }
            else
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimationDuration = 0;", sb.Length > 0 ? "\n" : string.Empty);
            }

            if (closeeffect.Value != "")
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimation = '{1}';", sb.Length > 0 ? "\n" : string.Empty, closeeffect.Value);
            }
            else
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimation = null;", sb.Length > 0 ? "\n" : string.Empty);
            }
            if (closeeasing.Value != "")
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimationEasing = '{1}';", sb.Length > 0 ? "\n" : string.Empty, closeeasing.Value);
            }
            if (!string.IsNullOrWhiteSpace(txtjqCloseAnimationDuration.Text))
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimationDuration = {1};", sb.Length > 0 ? "\n" : string.Empty, txtjqCloseAnimationDuration.Text);
            }
            else
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimationDuration = 0;", sb.Length > 0 ? "\n" : string.Empty);
            }
        }
        else
        {
            if (openeffect1.Value != "")
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimation = '{1}';", sb.Length > 0 ? "\n" : string.Empty, openeffect1.Value);
            }
            else
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimation = null;", sb.Length > 0 ? "\n" : string.Empty);
            }
            if (openeasing.Value != "")
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimationEasing = '{1}';", sb.Length > 0 ? "\n" : string.Empty, openeasing.Value);
            }
            if (!string.IsNullOrWhiteSpace(txtjqOpenAnimationDuration.Text))
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimationDuration = {1};", sb.Length > 0 ? "\n" : string.Empty, txtjqOpenAnimationDuration.Text);
            }
            else
            {
                sb.AppendFormat("{0}dialogOptions.openjqAnimationDuration = 0;", sb.Length > 0 ? "\n" : string.Empty);
            }

            if (closeeffect1.Value != "")
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimation = '{1}';", sb.Length > 0 ? "\n" : string.Empty, closeeffect1.Value);
            }
            else
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimation = null;", sb.Length > 0 ? "\n" : string.Empty);
            }
            if (closeeasing.Value != "")
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimationEasing = '{1}';", sb.Length > 0 ? "\n" : string.Empty, closeeasing.Value);
            }
            if (!string.IsNullOrWhiteSpace(txtjqCloseAnimationDuration.Text))
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimationDuration = {1};", sb.Length > 0 ? "\n" : string.Empty, txtjqCloseAnimationDuration.Text);
            }
            else
            {
                sb.AppendFormat("{0}dialogOptions.closejqAnimationDuration = 0;", sb.Length > 0 ? "\n" : string.Empty);
            }
        }

        if (!string.IsNullOrWhiteSpace(txtLeft.Text))
        {
            sb.AppendFormat("{0}dialogOptions.left  = {1};", sb.Length > 0 ? "\n" : string.Empty, txtLeft.Text);
        }
        if (!string.IsNullOrWhiteSpace(txtTop.Text))
        {
            sb.AppendFormat("{0}dialogOptions.top  = {1};", sb.Length > 0 ? "\n" : string.Empty, txtTop.Text);
        }
        if (anchorposition.Value != "0")
        {
            string ap = anchorposition.Items[anchorposition.SelectedIndex].Text;
            ap = ap[0].ToString().ToLower() + ap.Substring(1);
            sb.AppendFormat("{0}dialogOptions.anchorPosition  = '{1}';", sb.Length > 0 ? "\n" : string.Empty, ap);
        }


        if (!string.IsNullOrWhiteSpace(txtAutoCloseDelay.Text))
        {
            sb.AppendFormat("{0}dialogOptions.autoCloseDelay  = {1};", sb.Length > 0 ? "\n" : string.Empty, txtAutoCloseDelay.Text);
        }
        sb.AppendFormat("{0}dialogOptions.showCountDown  = {1};", sb.Length > 0 ? "\n" : string.Empty, chkShowCountDown.Checked.ToString().ToLower());
        if (!string.IsNullOrWhiteSpace(txtTimerMessage.Text))
        {
            sb.AppendFormat("{0}dialogOptions.countDownText  = '{1}';", sb.Length > 0 ? "\n" : string.Empty, txtTimerMessage.Text);
        }
        if (!string.IsNullOrWhiteSpace(txtTimerClosingMessage.Text))
        {
            sb.AppendFormat("{0}dialogOptions.countDownClosingText  = '{1}';", sb.Length > 0 ? "\n" : string.Empty, txtTimerClosingMessage.Text);
        }
        sb.AppendFormat("{0}dialogOptions.jqUIAnimationEnabled = {1};", sb.Length > 0 ? "\n" : string.Empty, chkjqUIAnimationEnabled.Checked.ToString().ToLower());
        sb.AppendFormat("{0}dialogOptions.isPositionFixed = {1};", sb.Length > 0 ? "\n" : string.Empty, fixedPosition.Checked.ToString().ToLower());

        sb.AppendFormat("{0}{1}", sb.Length > 0 ? "\n\n" : string.Empty, "//you can omit the code below if you like since these properties are automatically\n//set to null, or you could replace the null values with appropriate values");
        sb.AppendFormat("{0}dialogOptions.openjqAnimationTargetCss = null;{1}dialogOptions.closejqAnimationTargetCss = null;{2}dialogOptions.jqOpenAnimateStartCallback = null;{3}dialogOptions.jqOpenAnimateEndCallback=null;{4}dialogOptions.jqCloseAnimateStartCallback = null;{5}dialogOptions.jqCloseAnimateEndCallback=null;", sb.Length > 0 ? "\n" : string.Empty, "\n", "\n", "\n", "\n", "\n");


        int width, height;
        float widthProportion, heightProportion;
        string title = "Testing", myMessage = "Testing standard dialogs of RadWindowManager.";
        bool keepFixed = autoSize.Checked;
        int.TryParse(txtWidth.Text, out width);
        int.TryParse(txtHeight.Text, out height);
        float.TryParse(wPerc.Text, out widthProportion);
        float.TryParse(hPerc.Text, out heightProportion);
        heightProportion = heightProportion / 100;
        widthProportion = widthProportion / 100;

        bool areExtraParametersNeeded = !(widthProportion == 0 && heightProportion == 0 && !autoSize.Checked);
        string alertCallBackFn = "alertCallback";

        if (heightProportion > 0 && widthProportion > 0)
        {
            sb.AppendFormat("{0}var sizeProportions = new Array();\nsizeProportions.push({1});\nsizeProportions.push({2});", sb.Length > 0 ? "\n\n" : string.Empty, widthProportion, heightProportion);
        }
        //code for radalert
        sb.AppendFormat("{0}\n//RadAlert code as below\nradalert({1}, {2}, {3}, {4}, null,null{5}{6},dialogOptions);",
            sb.Length > 0 ? "\n" : string.Empty,
            "\"" + myMessage + "\"",
            width == 0 ? "null" : width.ToString(),
            height == 0 ? "null" : height.ToString(),
            title == null ? "null" : "\"" + title + "\"",
           (areExtraParametersNeeded ? ", " + keepFixed.ToString().ToLower() + ", " : string.Empty),
           (areExtraParametersNeeded ? "sizeProportions" : string.Empty));

        sb.AppendFormat("{0}{1}//RadConfirm code as below", sb.Length > 0 ? "\n" : string.Empty, "\n");
        sb.AppendFormat("{0}//radconfirm(\"{1}\", confirmCallBackFn, {2}, {3}, null, \"{4}\", null{5}{6},dialogOptions)", sb.Length > 0 ? "\n" : string.Empty, myMessage, width == 0 ? "null" : width.ToString(), height == 0 ? "null" : height.ToString(), title,
            (areExtraParametersNeeded ? ", " + keepFixed.ToString().ToLower() + ", " : string.Empty),
           (areExtraParametersNeeded ? "sizeProportions" : string.Empty));
        sb.AppendFormat("{0}{1}//RadPrompt code as below", sb.Length > 0 ? "\n" : string.Empty, "\n");
        sb.AppendFormat("{0}//radprompt(\"{1}\", promptCallBackFn, {2}, {3}, null, \"{4}\", null{5}{6},dialogOptions)", sb.Length > 0 ? "\n" : string.Empty, myMessage, width == 0 ? "null" : width.ToString(), height == 0 ? "null" : height.ToString(), title,
            (areExtraParametersNeeded ? ", " + keepFixed.ToString().ToLower() + ", " : string.Empty),
           (areExtraParametersNeeded ? "sizeProportions" : string.Empty));

        sb.AppendFormat("{0}{1}//RadWindow code as below", sb.Length > 0 ? "\n" : string.Empty, "\n");
        sb.AppendFormat("{0}//var wd = $find('{1}');\n//az.showAnimatedRadWindow(wd,dialogOptions);", sb.Length > 0 ? "\n" : string.Empty, radWindow1.ClientID);

        txtCode.Text = sb.ToString();
        AutoSizedStandardDialogOptions dialogOptions = SetDialogOptions();
        dialogOptions.OpenjqAnimation = OpenjqAnimation.None;
        dialogOptions.ClosejqAnimation = ClosejqAnimation.None;
        dialogOptions.AnchorPosition = AnchorPosition.None;
        dialogOptions.Left = null;
        dialogOptions.Top = null;
        dialogOptions.AutoCloseDelay = 0;
        dialogOptions.ShowCountDown = false;
        AutoSizedStandardDialogs.RadWindowAutoSizedFromAjax(rwdCode, dialogOptions);
    }

    /// <summary>
    /// IGNORE THIS METHOD since its used to generate code only.
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnServerCode_Click(object sender, EventArgs e)
    {
        SetjqAnimationSettings();
        string title = "Testing", myMessage = "Testing standard dialogs of RadWindowManager.", callbackFn = "callbackFunction";
        var nullString = "null";


        lblCodeType.Text = "Server-side C# code";
        StringBuilder sb = new StringBuilder();
        sb.Append("//None of the jqAnimation settings below will have any effect if RadWindowManager \n//has its Animation property set to something other than None.\n//However, other settings like anchor position, autoclose delay etc.\n//will work even when RadWindowManager is animated.\n\n");
        sb.AppendFormat(@"AutoSizedStandardDialogOptions dialogOptions = new AutoSizedStandardDialogOptions();
        dialogOptions.UIjqAnimationEnabled = {0};
        dialogOptions.ClosejqAnimation = {1};
        dialogOptions.ClosejqAnimationEasing = {2};
        dialogOptions.ClosejqAnimationDuration = {3};
        dialogOptions.OpenjqAnimation = {4};
        dialogOptions.OpenjqAnimationEasing = {5};
        dialogOptions.OpenjqAnimationDuration = {6};
        dialogOptions.AnchorPosition = {7};
        dialogOptions.Left ={8};
        dialogOptions.Top = {9};
        dialogOptions.AutoCloseDelay = {10};
        dialogOptions.CountDownText = {11};
        dialogOptions.CountDownClosingText = {12};
        dialogOptions.ShowCountDown = {13}; 
        dialogOptions.IsPositionFixed = {14}; ", jqUIEnabled.ToString().ToLower(),
                                                      string.IsNullOrWhiteSpace(jqCloseAnimationEffect) ? "ClosejqAnimation.None" : "ClosejqAnimation." + ((ClosejqAnimation)Enum.Parse(typeof(ClosejqAnimation), jqCloseAnimationEffect)).ToString(),
                                                      "EasingjqAnimation." + ((EasingjqAnimation)Enum.Parse(typeof(EasingjqAnimation), jqCloseAnimationEasing)).ToString(), jqCloseAnimationDuration,
                                                      string.IsNullOrWhiteSpace(jqOpenAnimationEffect) ? "OpenjqAnimation.None" : "OpenjqAnimation." + ((OpenjqAnimation)Enum.Parse(typeof(OpenjqAnimation), jqOpenAnimationEffect)).ToString(),
                                                      "EasingjqAnimation." + ((EasingjqAnimation)Enum.Parse(typeof(EasingjqAnimation), jqOpenAnimationEasing)).ToString(), jqOpenAnimationDuration,
                                                      "AnchorPosition." + ((AnchorPosition)Enum.Parse(typeof(AnchorPosition), anchorPosition)).ToString(), left == null ? "null" : left.Value.ToString(), top == null ? "null" : top.Value.ToString(), autoCloseDelay,
                                                      string.IsNullOrWhiteSpace(countDownText) ? nullString : "\"" + countDownText + "\"",
                                                      string.IsNullOrWhiteSpace(countDownClosingText) ? nullString : "\"" + countDownClosingText + "\"", showCountDown.ToString().ToLower(),
                                                      fixedPosition.Checked.ToString().ToLower()
                     );

        bool leaveIsFixedParameter = !autoSize.Checked;
        bool leaveSizeFactor = (widthFactor == 0 || heightFactor == 0);

        sb.Append("\n\n//It is assumed that a JavaScript function called 'callbackFunction' exists.\n//If you do not want a callback function then replace that parameter by null.\n");
        sb.AppendFormat("{0}AutoSizedStandardDialogs.RadAlertAutoSized(\"{1}\",{2}, {3}, {4}, {5}, null{6}{7}{8}, dialogOptions: dialogOptions);",
            "\n\n//RadAlert code as below\n",
            myMessage, w == 0 ? nullString : w.ToString(),
            h == 0 ? nullString : h.ToString(),
        title == null ? nullString : "\"" + title + "\"",
        callbackFn == null ? nullString : "\"" + callbackFn + "\"",
        leaveIsFixedParameter ? string.Empty : ", isSizeFixed:" + autoSize.Checked.ToString().ToLower(), leaveSizeFactor ? string.Empty : ", maxWidthFactorInPercent:" + widthFactor, leaveSizeFactor ? string.Empty : ", maxHeightFactorInPercent:" + heightFactor);

        sb.Append("\n\n//RadAlert code using ajax as below (RadAjaxManager needs to be used on the page for this method)");
        sb.AppendFormat("{0}AutoSizedStandardDialogs.RadAlertAutoSizedFromAjax(\"{1}\",{2}, {3}, {4}, {5}, null{6}{7}{8}, dialogOptions: dialogOptions);",
           "\n",
           myMessage, w == 0 ? nullString : w.ToString(),
           h == 0 ? nullString : h.ToString(),
       title == null ? nullString : "\"" + title + "\"",
       callbackFn == null ? nullString : "\"" + callbackFn + "\"",
       leaveIsFixedParameter ? string.Empty : ", isSizeFixed:" + autoSize.Checked.ToString().ToLower(), leaveSizeFactor ? string.Empty : ", maxWidthFactorInPercent:" + widthFactor, leaveSizeFactor ? string.Empty : ", maxHeightFactorInPercent:" + heightFactor);

        sb.AppendFormat("{0}AutoSizedStandardDialogs.RadConfirmAutoSized(\"{1}\",{2}, {3}, {4}, {5}, null{6}{7}{8}, dialogOptions: dialogOptions);",
            "\n\n//RadConfirm code as below\n",
            myMessage,
            callbackFn == null ? nullString : "\"" + callbackFn + "\"",
            w == 0 ? nullString : w.ToString(),
            h == 0 ? nullString : h.ToString(),
        title == null ? nullString : "\"" + title + "\"",
        leaveIsFixedParameter ? string.Empty : ", isSizeFixed:" + autoSize.Checked.ToString().ToLower(), leaveSizeFactor ? string.Empty : ", maxWidthFactorInPercent:" + widthFactor, leaveSizeFactor ? string.Empty : ", maxHeightFactorInPercent:" + heightFactor);

        sb.Append("\n\n//RadConfirm code using ajax as below (RadAjaxManager needs to be used on the page for this method)");
        sb.AppendFormat("{0}AutoSizedStandardDialogs.RadConfirmAutoSizedFromAjax(\"{1}\",{2}, {3}, {4}, {5}, null{6}{7}{8}, dialogOptions: dialogOptions);",
            "\n",
            myMessage,
            callbackFn == null ? nullString : "\"" + callbackFn + "\"",
            w == 0 ? nullString : w.ToString(),
            h == 0 ? nullString : h.ToString(),
        title == null ? nullString : "\"" + title + "\"",
        leaveIsFixedParameter ? string.Empty : ", isSizeFixed:" + autoSize.Checked.ToString().ToLower(), leaveSizeFactor ? string.Empty : ", maxWidthFactorInPercent:" + widthFactor, leaveSizeFactor ? string.Empty : ", maxHeightFactorInPercent:" + heightFactor);

        sb.AppendFormat("{0}AutoSizedStandardDialogs.RadPromptAutoSized(\"{1}\",{2}, {3}, {4}, {5}, null{6}{7}{8}, dialogOptions: dialogOptions);",
           "\n\n//RadPrompt code as below\n",
           myMessage,
           callbackFn == null ? nullString : "\"" + callbackFn + "\"",
           w == 0 ? nullString : w.ToString(),
           h == 0 ? nullString : h.ToString(),
       title == null ? nullString : "\"" + title + "\"",
       leaveIsFixedParameter ? string.Empty : ", isSizeFixed:" + autoSize.Checked.ToString().ToLower(), leaveSizeFactor ? string.Empty : ", maxWidthFactorInPercent:" + widthFactor, leaveSizeFactor ? string.Empty : ", maxHeightFactorInPercent:" + heightFactor);

        sb.Append("\n\n//RadPrompt code using ajax as below (RadAjaxManager needs to be used on the page for this method)");
        sb.AppendFormat("{0}AutoSizedStandardDialogs.RadPromptAutoSizedFromAjax(\"{1}\",{2}, {3}, {4}, {5}, null{6}{7}{8}, dialogOptions: dialogOptions);",
           "\n",
           myMessage,
           callbackFn == null ? nullString : "\"" + callbackFn + "\"",
           w == 0 ? nullString : w.ToString(),
           h == 0 ? nullString : h.ToString(),
       title == null ? nullString : "\"" + title + "\"",
       leaveIsFixedParameter ? string.Empty : ", isSizeFixed:" + autoSize.Checked.ToString().ToLower(), leaveSizeFactor ? string.Empty : ", maxWidthFactorInPercent:" + widthFactor, leaveSizeFactor ? string.Empty : ", maxHeightFactorInPercent:" + heightFactor);

        sb.Append("\n\n//RadWindow code as below");
        sb.AppendFormat("{0}AutoSizedStandardDialogs.RadWindow({1},  dialogOptions: dialogOptions);", "\n", "radWindow1");
        sb.Append("\n\n//RadWindow code using ajax as below (RadAjaxManager needs to be used on the page for this method)");
        sb.AppendFormat("{0}AutoSizedStandardDialogs.RadWindowFromAjax({1},  dialogOptions: dialogOptions);", "\n", "radWindow1");

        txtCode.Text = sb.ToString();
        AutoSizedStandardDialogOptions dialogOptions = SetDialogOptions();
        dialogOptions.OpenjqAnimation = OpenjqAnimation.None;
        dialogOptions.ClosejqAnimation = ClosejqAnimation.None;
        dialogOptions.AnchorPosition = AnchorPosition.None;
        dialogOptions.Left = null;
        dialogOptions.Top = null;
        AutoSizedStandardDialogs.RadWindowAutoSizedFromAjax(rwdCode, dialogOptions);

    }
    #endregion Code Generators
   
</script>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <style type="text/css">
        .tm {
            background-color: lightyellow;
            color: purple;
            font-style: italic;
            font-size: x-large;
        }

        .div1 {
            display: inline-block;
            margin-right: 20px;
            margin-bottom: 20px;
        }
    </style>
    <style type="text/css">
        .login-background {
    background: url('http://i.imgur.com/Eor57Ae.jpg') no-repeat fixed center center;
    background-size: cover;
    font-family: Montserrat;
}

.logo {
    width: 213px;
    height: 36px;
    background: url('http://i.imgur.com/fd8Lcso.png') no-repeat;
    
}

.login-block {
    width: 320px;
    padding: 20px;
    background: #fff;
    border-radius: 5px;
    border-top: 5px solid #ff656c;
    margin: 0 auto;
}

.login-block h1 {
    text-align: center;
    color: #000;
    font-size: 18px;
    text-transform: uppercase;
    margin-top: 0;
    margin-bottom: 20px;
}

.login-block input {
    width: 100%;
    height: 42px;
    box-sizing: border-box;
    border-radius: 5px;
    border: 1px solid #ccc;
    margin-bottom: 20px;
    font-size: 14px;
    font-family: Montserrat;
    padding: 0 20px 0 50px;
    outline: none;
}

.login-block input#username {
    background: #fff url('http://i.imgur.com/u0XmBmv.png')  left top no-repeat;
    background-size: 16px 80px;
    padding-left:20px;
    width:100%;
}

.login-block input#username:focus {
    background: #fff url('http://i.imgur.com/u0XmBmv.png')  left top no-repeat;
     padding-left:20px;
    background-size: 16px 80px;
    width:100%;
}

.login-block input#password {
    background: #fff url('http://i.imgur.com/Qf83FTt.png') left top no-repeat;
     padding-left:20px;
    background-size: 16px 80px;
    width:100%;
}

.login-block input#password:focus {
    background: #fff url('http://i.imgur.com/Qf83FTt.png') left top no-repeat;
     padding-left:20px;
    background-size: 16px 80px;
    width:100%;
}

.login-block input:active, .login-block input:focus {
    border: 1px solid #ff656c;
}

.login-block button {
    width: 100%;
    height: 40px;
    background: #ff656c;
    box-sizing: border-box;
    border-radius: 5px;
    border: 1px solid #e15960;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    font-size: 14px;
    font-family: Montserrat;
    outline: none;
    cursor: pointer;
}

.login-block button:hover {
    background: #ff7b81;
}
    </style>
    <telerik:RadCodeBlock ID="code1" runat="server">
        <script type="text/javascript">
            window["mobileScreenWidthForMaximizing"] = 400;
            window["mobileScreenHeightForMaximizing"] = 400;
            window["minScreenWidthForSmallLeftMargin"] = 400;
            function OpenRadAlert() {
                var values = GetDialogParameterValues();

                var dialogOptions = getDialogOptions();
                //dialogOptions.showCountDown = true;
                //dialogOptions.countDownClosingText = "<i>Closing now...</i>";
                //dialogOptions.countDownText = "<b>Timer</b>";
                //dialogOptions.hideOnClose = true;
                //dialogOptions.reshowInterval = 7000;
                //dialogOptions.donotCloseInterval = 30000;
                //dialogOptions.anchorPosition = 'topLeft';

                // dialogOptions.countDownText = "Time left for your session";
                //it's best to set the callbacks using global approach and not in the method from where you are opening RadWindow
                //az.donotCloseStartCallback = donotCloseIntervalStartCallback;
                //az.autoCloseEndCallback = autoCloseDelayEndCallback;
                //az.openjqAnimation = "clip";
                //az.openjqAnimationEasing = "swing";
                //az.closejqAnimation = "drop";
                //dialogOptions.openjqAnimationTargetCss = { fontSize: 'toggle' };
                //dialogOptions.openjqAnimationTargetCss = { opacity: 1, top: "+=50", height: "toggle" };
                //dialogOptions.openjqAnimationTargetCss = { borderWidth: 5, top: "+=50", height: "toggle" };
                //dialogOptions.openjqAnimationTargetCss = { left: "+=300", width:"toggle" };
                //dialogOptions.closejqAnimationTargetCss = { opacity: 0.25, left: "+=50", height: "toggle" };
                //dialogOptions.closejqAnimationTargetCss = { opacity: .5, height: "50%" };
                //dialogOptions.openjqAnimationTargetCss = { height: 'toggle', left: "+=300" };
                //dialogOptions.closejqAnimationTargetCss = { width: 'toggle', top: "+=300" };
                var win = radalert(values.msg, values.width, values.height, "AutoSized RadAlert", null, null, values.keepFixed, values.sizeProportions, dialogOptions);
            }

            function donotCloseIntervalStartCallback(sender, args) {
                console.log("donotclose interval started");
            }
            function autoCloseDelayEndCallback(sender, args) {
                console.log("autclose delay has ended");
            }
            function OpenRadConfirm() {
                var values = GetDialogParameterValues();

                var dialogOptions = getDialogOptions();
                radconfirm(values.msg, values.confirmcallback, values.width, values.height, null, 'Client RadConfirm', null, values.keepFixed, values.sizeProportions, dialogOptions);
            }
            function OpenRadPrompt() {
                var values = GetDialogParameterValues();
                var dialogOptions = getDialogOptions();
                
                var wm = GetRadWindowManager();
                var win = wm.radprompt(values.msg, values.promptcallback, values.width, values.height, null, 'Client RadPrompt', '42', values.keepFixed, values.sizeProportions, dialogOptions);
            }
            var skipCommand = false;
            function OpenRadWindow() {
                var dialogOptions = getDialogOptions();
                dialogOptions.hideOnClose = false;
                dialogOptions.reshowInterval = 0;
                dialogOptions.donotCloseInterval = 30000;
                //dialogOptions.countDownText = "Time left for your session";
                dialogOptions.donotCloseStartCallback = donotCloseIntervalStartCallback;
                dialogOptions.autoCloseEndCallback = autoCloseDelayEndCallback;
                az.jqUIAnimationEnabled = document.getElementById("<%=chkjqUIAnimationEnabled.ClientID%>").checked;
                var radWindow1 = $find("<%=radWindow1.ClientID%>");
               skipCommand = true;
                dialogOptions.donotAutoSize === true;
                //radWindow1.show()
                 az.showAnimatedRadWindow(radWindow1, dialogOptions);
                skipCommand = false;
            }
            function confirmCallBackFn(arg) {
                var wc = radalert("<strong>radconfirm</strong> returned the following result: <h3 style='color: #ff0000;'>" + arg + "</h3>", 350, 250, "Auto-sizing of RadConfirm");
                var wd = $find("<%=rwdCode.ClientID%>");
            }

            function promptCallBackFn(arg) {
                var wc = radalert("You input :" + arg, 350, 250, "Auto-Sizing of RadPrompt");
            }

            function GetDialogParameterValues() {
                var msg = document.getElementById("<%=txtMsg.ClientID %>").value;
                msg = (msg === "" ? "Please mention a message. You have not mentioned any message to display." : msg);
                var width = document.getElementById("<%=txtWidth.ClientID %>").value;
                var height = document.getElementById("<%=txtHeight.ClientID %>").value;
                var keepFixed = document.getElementById("<%= autoSize.ClientID%>").checked;
                var wPercentage = document.getElementById("<%= wPerc.ClientID%>").value;
                var hPercentage = document.getElementById("<%= hPerc.ClientID%>").value;
                wPercentage = (wPercentage === "" ? 90 : wPercentage);
                hPercentage = (hPercentage === "" ? 90 : hPercentage);
                wPercentage = parseFloat(wPercentage) / 100;
                hPercentage = parseFloat(hPercentage) / 100;
                sizeProportions = new Array();
                sizeProportions.push(wPercentage);
                sizeProportions.push(hPercentage);
                width = parseInt(width);
                height = parseInt(height);
                if (isNaN(width)) {
                    width = null;
                }
                if (isNaN(height)) {
                    height = null;
                }
                var jqUIEnabled = document.getElementById("<%=chkjqUIAnimationEnabled.ClientID%>").checked;
                az.jqUIAnimationEnabled = jqUIEnabled;
                return { msg: msg, width: width, height: height, keepFixed: keepFixed, sizeProportions: sizeProportions, confirmcallback: confirmCallBackFn, promptcallback: promptCallBackFn, jqUIEnabled: jqUIEnabled }
            }
            function showSelects(jqUI) {
                if (jqUI.checked) {
                    document.getElementById("open").style.display = "inline-block";
                    document.getElementById("open1").style.display = "none";
                    document.getElementById("opene").style.display = "inline-block";
                    document.getElementById("opene1").style.display = "none";
                    document.getElementById("close").style.display = "inline-block";
                    document.getElementById("close1").style.display = "none";
                    document.getElementById("closee").style.display = "inline-block";
                    document.getElementById("closee1").style.display = "none";
                } else {
                    document.getElementById("open").style.display = "none";
                    document.getElementById("open1").style.display = "inline-block";
                    document.getElementById("opene").style.display = "inline-block";
                    document.getElementById("opene1").style.display = "none";
                    document.getElementById("close").style.display = "none";
                    document.getElementById("close1").style.display = "inline-block";
                    document.getElementById("closee").style.display = "inline-block";
                    document.getElementById("closee1").style.display = "none";
                }
            }
            function resetPosition(anchorSelect) {
                if (anchorSelect.selectedIndex > 0) {
                    document.getElementById("<%=txtLeft.ClientID%>").value = "";
                    document.getElementById("<%=txtTop.ClientID%>").value = "";
                }
            }

            function getDialogOptions() {
                var dialogOptions = {};
                var od = parseInt(document.getElementById("<%=txtjqOpenAnimationDuration.ClientID%>").value);
                var cd = parseInt(document.getElementById("<%=txtjqCloseAnimationDuration.ClientID%>").value);
                if (isNaN(od)) {
                    dialogOptions.openjqAnimationDuration = null;
                } else {
                    dialogOptions.openjqAnimationDuration = od;
                }
                if (isNaN(cd)) {
                    dialogOptions.closejqAnimationDuration = null;
                } else {
                    dialogOptions.closejqAnimationDuration = cd;
                }
                dialogOptions.jqUIAnimationEnabled = document.getElementById("<%= chkjqUIAnimationEnabled.ClientID%>").checked;
                if (dialogOptions.jqUIAnimationEnabled) {
                    dialogOptions.openjqAnimation = document.getElementById("<%=openeffect.ClientID%>").value.trim() === "" ? null : document.getElementById("<%=openeffect.ClientID%>").value;
                    dialogOptions.closejqAnimation = document.getElementById("<%=closeeffect.ClientID%>").value.trim() === "" ? null : document.getElementById("<%=closeeffect.ClientID%>").value;
                    dialogOptions.openjqAnimationEasing = document.getElementById("<%=openeasing.ClientID%>").value;
                    dialogOptions.closejqAnimationEasing = document.getElementById("<%=closeeasing.ClientID%>").value;
                }
                else {
                    dialogOptions.openjqAnimation = document.getElementById("<%=openeffect1.ClientID%>").value.trim() === "" ? null : document.getElementById("<%=openeffect1.ClientID%>").value;
                    dialogOptions.closejqAnimation = document.getElementById("<%=closeeffect1.ClientID%>").value.trim() === "" ? null : document.getElementById("<%=closeeffect1.ClientID%>").value;
                    dialogOptions.openjqAnimationEasing = document.getElementById("<%=openeasing.ClientID%>").value;
                    dialogOptions.closejqAnimationEasing = document.getElementById("<%=closeeasing.ClientID%>").value;
                }
                dialogOptions.openjqAnimationTargetCss = null;//this can be set to some value if custom jQuery animation is needed
                dialogOptions.closejqAnimationTargetCss = null;//this can be set to some value if custom jQuery animation is needed
                dialogOptions.showCountDown = document.getElementById("<%=chkShowCountDown.ClientID%>").checked;
                dialogOptions.countDownText = document.getElementById("<%= txtTimerMessage.ClientID%>").value;
                dialogOptions.countDownClosingText = document.getElementById("<%= txtTimerClosingMessage.ClientID%>").value;
                var acd = parseInt(document.getElementById("<%=txtAutoCloseDelay.ClientID%>").value);
                if (isNaN(acd)) {
                    dialogOptions.autoCloseDelay = null;
                } else {
                    dialogOptions.autoCloseDelay = acd;
                }
                var ap = parseInt(document.getElementById("<%=anchorposition.ClientID%>").value);
                if (isNaN(ap) || ap === 0) {
                    dialogOptions.anchorPosition = null;
                } else {
                    var anchorpositionText = document.getElementById("anchorposition").options[document.getElementById("anchorposition").selectedIndex].text;
                    dialogOptions.anchorPosition = anchorpositionText.substring(0, 1).toLowerCase() + anchorpositionText.substring(1);
                }
                var lp = parseInt(document.getElementById("<%=txtLeft.ClientID%>").value);
                if (isNaN(lp)) {
                    dialogOptions.left = null;
                }
                else {
                    dialogOptions.left = lp;
                }
                var tp = parseInt(document.getElementById("<%=txtTop.ClientID%>").value);
                if (isNaN(tp)) {
                    dialogOptions.top = null;
                } else {
                    dialogOptions.top = tp;

                }
                //subscribe to animation start and complete callbacks
                az.jqOpenAnimateStartCallback = animationStarting;
                az.jqOpenAnimateEndCallback = animationCompleted;
                az.jqCloseAnimateStartCallback = animationStarting1;
                az.jqCloseAnimateEndCallback = animationCompleted;
                dialogOptions.isPositionFixed = document.getElementById("<%=fixedPosition.ClientID%>").checked;
                return dialogOptions;
            }
            function animationCompleted(sender, args) {
                //alert('the animation is done');
                console.log('animation is done');
            }
            function animationStarting(sender, args) {
                //args.cancel = true;
                //alert('the animation is starting but being cancelled');
                console.log('animation starting');
            }
            function animationStarting1(sender, args) {
                //args.cancel = true;
                //alert('the animation is starting but being cancelled');
                console.log('animation starting');
            }
            var testingInterval = null;
            function runCode() {

                var code = document.getElementById("<%=txtCode.ClientID%>").value;
                var wd = $find("<%=rwdCode.ClientID%>");
                wd.hide();
                try {
                    eval(code);
                }
                catch (e) { radalert('CODE ERROR! There is an error in your code.'); return; }
                testingInterval = setInterval(function () { restoreCodePopup(); }, 50);
            }
            function onRequestStart(sender, args) {
                if (!(args.get_eventTarget().indexOf("btnClientCode") >= 0 || args.get_eventTarget().indexOf("btnServerCode") >= 0)) { closeCodeRadWindow(); }
            }
            function onResponseEnd(sender, args) {
                if (args.get_eventTarget().indexOf("btnClientCode") >= 0) {
                    document.getElementById('runCode').style.display = 'block';
                    //document.getElementById("<%=txtCode.ClientID%>").style.height = "500px";

                } else if (args.get_eventTarget().indexOf("btnServerCode") >= 0) {
                    document.getElementById('runCode').style.display = 'none';
                    //document.getElementById("<%=txtCode.ClientID%>").style.height = "550px";

                }
                //if (args.get_eventTarget().indexOf("btnClientCode") >= 0 || args.get_eventTarget().indexOf("btnServerCode") >= 0) { showCodeRadWindow(); }
            }
            function codePopupResized(sender, args) {
                document.getElementById("<%=txtCode.ClientID%>").style.width = (sender.get_width() - 70) + "px";
                document.getElementById("<%=txtCode.ClientID%>").style.height = (sender.get_height() - 140) + "px";
            }
            var textAreaWidth1, textAreaHeight1;
            function radwindowCommand(sender, args) {
                if (az.isAnimationInProgress === true) {
                    args.set_cancel(true);
                    return;
                }
                if (skipCommand === true || sender.isMaximized() === true) {
                    return;
                }
                var command = args.get_commandName();
                if (command == "Maximize") {
                    textAreaWidth1 = document.getElementById("<%=txtBox1.ClientID%>").offsetWidth;
                    textAreaHeight1 = document.getElementById("<%=txtBox1.ClientID%>").offsetHeight;
                    setTimeout(function () {
                        document.getElementById("<%=txtBox1.ClientID%>").style.width = (screen.availWidth - 70) + "px";
                        document.getElementById("<%=txtBox1.ClientID%>").style.height = (screen.availHeight - 140 - sender.GetTitlebar().offsetHeight) + "px";
                    }, 0);
                } else if (command == "Restore") {
                    setTimeout(function () {
                        document.getElementById("<%=txtBox1.ClientID%>").style.width = (textAreaWidth1) + "px";
                        document.getElementById("<%=txtBox1.ClientID%>").style.height = (textAreaHeight1) + "px";
                        textAreaWidth1 = null;
                        textAreaHeight1 = null;
                        sender.autoSize();
                    }, 0);
                }
        }
        var textAreaWidth, textAreaHeight;
        function codePopupCommand(sender, args) {
            if (az.isAnimationInProgress === true) {
                args.set_cancel(true);
                return;
            }
            var command = args.get_commandName();
            if (skipCommand === true || (sender.isMaximized() === true && command!== "Restore")) {
                return;
            }
            
            if (command == "Maximize") {
                textAreaWidth = document.getElementById("<%=txtCode.ClientID%>").offsetWidth;
                textAreaHeight = document.getElementById("<%=txtCode.ClientID%>").offsetHeight;
                setTimeout(function () {
                    document.getElementById("<%=txtCode.ClientID%>").style.width = (screen.availWidth - 70) + "px";
                    document.getElementById('runCode').style.width = document.getElementById("<%=txtCode.ClientID%>").style.width;
                    if (document.getElementById('runCode').style.display === "block") {
                        document.getElementById("<%=txtCode.ClientID%>").style.height = (screen.availHeight - 120 - sender.GetTitlebar().offsetHeight - document.getElementById("btnRunCode").offsetHeight - document.getElementById('runCode').offsetHeight) + "px";
                        } else {
                            document.getElementById("<%=txtCode.ClientID%>").style.height = (screen.availHeight - 140 - sender.GetTitlebar().offsetHeight) + "px";
                        }
                }, 0);
                } else if (command == "Restore") {
                    setTimeout(function () {
                        document.getElementById("<%=txtCode.ClientID%>").style.width = (textAreaWidth) + "px";
                        document.getElementById("<%=txtCode.ClientID%>").style.height = (textAreaHeight) + "px";
                        if (document.getElementById('runCode').style.display === "block") {
                            document.getElementById('runCode').style.width = document.getElementById("<%=txtCode.ClientID%>").style.width;
                        }
                        textAreaWidth = null;
                        textAreaHeight = null;
                        sender.autoSize();
                    }, 0);
                }
        }
            function onCodeWindowShown(sender, args) {
                if (document.getElementById('runCode').style.display === "block") {
                    document.getElementById('runCode').style.width = document.getElementById("<%=txtCode.ClientID%>").style.width;
                }
            }
        function showCodeRadWindow() {
            var wd = $find("<%=rwdCode.ClientID%>");
            if (wd) {
                setDialogOptions();
                az.anchorPosition = null;
                az.left = null;
                az.top = null;
                az.showAnimatedRadWindow(wd);
                wd.center();
            }
        }
        function closeCodeRadWindow() {
            var wd = $find("<%=rwdCode.ClientID%>");
            if (wd && wd.isVisible()) {
                wd.close();
            }
        }
        function restoreCodePopup() {
            console.log("restoreCodePopup called");
            var wd = $find("<%=rwdCode.ClientID%>");

    var wm = GetRadWindowManager();
    var ws = wm.get_windows();
    var radWindow1 = $find("<%=radWindow1.ClientID%>");
    if ((ws && ws.length === 1) && !radWindow1.isVisible()) {
        wd.show();
        wd.center();
        $("#<%=txtCode.ClientID%>").height(500);
        $("#<%=txtCode.ClientID%>").width(550);
        wd.autoSize();
        clearInterval(testingInterval);
        testingInterval = null;
    }
}
function codePopupBeforeClose(sender, args) {
    az.closejqAnimation = null;
}
function pageLoad() {
    var jqUIenabled = $("#<%=chkjqUIAnimationEnabled.ClientID%>")[0];
        showSelects(jqUIenabled);
       <%-- var wMax = Math.min(document.documentElement.clientWidth, window.innerWidth || screen.width);
        if ($("#<%=btnClientCode.ClientID%>").width() > wMax) {
            $("#<%=btnClientCode.ClientID%>").css("white-space", "normal");
            $("#<%=btnClientCode.ClientID%>").css("width", wMax);
        }
        if ($("#<%=btnServerCode.ClientID%>").width() > wMax) {
            $("#<%=btnServerCode.ClientID%>").css("white-space", "normal");
            $("#<%=btnServerCode.ClientID%>").css("width", wMax);
        }

        $("#<%=txtMsg.ClientID%>").width(wMax - 50);--%>
    }


        </script>
    </telerik:RadCodeBlock>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server">
        </telerik:RadStyleSheetManager>

        <telerik:RadScriptManager ID="RadScriptManager1" runat="server" EnablePageMethods="True">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
                <asp:ScriptReference Path="~/Scripts/ExtendedRadWindowAnimationFull.js" />
                <asp:ScriptReference Path="~/Scripts/jquery-ui.min.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <telerik:RadFormDecorator ID="RadFormDecorator1" runat="server" DecoratedControls="All" EnableViewState="false" RenderMode="Auto"
            ControlsToSkip="None" EnableAjaxSkinRendering="true" />

        <telerik:RadWindowManager ID="RadWindowManager1" runat="server" ShowContentDuringLoad="false"  VisibleStatusbar="false" AutoSize="false" EnableShadow="true" EnableViewState="false" ShowOnTopWhenMaximized="true" Style="z-index: 100000" Animation="None" AnimationDuration="300" CenterIfModal="true" RenderMode="Auto">
            <Windows>
                <telerik:RadWindow ID="radWindow2" runat="server" Animation="None" VisibleStatusbar="false" ShowContentDuringLoad="false" Modal="false" RenderMode="Auto" AutoSize="true" OnClientCommand="radwindowCommand" DestroyOnClose="true" AutoSizeBehaviors="Default" Behaviors="Close,Maximize,Move">
                    <ContentTemplate>
                        <div style="width: 575px; height: 530px;">
                            <asp:Label ID="Label2" runat="server" Font-Bold="true" Font-Size="Large"></asp:Label>
                            <div>
                                <asp:TextBox ID="TextBox1" runat="server" TextMode="MultiLine" Rows="15" Width="550" Height="500" Font-Size="Small" Text="This is a RadWindow that is part of RadWindowManager and not a separate RadWindow.">
                                </asp:TextBox>
                            </div>
                        </div>
                    </ContentTemplate>
                </telerik:RadWindow>
            </Windows>
        </telerik:RadWindowManager>
        <label for="txtMsg" style="font-size: x-large">jQuery Animation, jQuery UI Animation, AutoClosing, AutoSizing and Anchoring of RadAlert, RadConfirm, RadPrompt and RadWindow </label>
        <h4>Select a theme from drop-down below</h4>
        <telerik:RadSkinManager ID="RadSkinManager1" runat="server" ShowChooser="true" Skin="MetroTouch" RenderMode="Auto">
            <TargetControls>
                <telerik:TargetControl ControlID="RadWindowManager1" />
                <telerik:TargetControl ControlID="RadFormDecorator1" />
            </TargetControls>
        </telerik:RadSkinManager>
        <h4>Select RadWindow Render Mode</h4>
        <asp:DropDownList ID="ddlRenderMode" runat="server" OnSelectedIndexChanged="ddlRenderMode_SelectedIndexChanged" AutoPostBack="true" Style="width: auto; min-width: 130px;">
            <asp:ListItem Text="Auto" Value="Auto" Selected="True"></asp:ListItem>
            <asp:ListItem Text="Classic" Value="Classic"></asp:ListItem>
            <asp:ListItem Text="Mobile" Value="Mobile"></asp:ListItem>
            <asp:ListItem Text="Lightweight" Value="Lightweight"></asp:ListItem>
            <asp:ListItem Text="Native" Value="Native"></asp:ListItem>
        </asp:DropDownList>
        <div style="clear: both"></div>
        <div class="div1">
            <fieldset>
                <legend>Client-side</legend>
                <asp:Button ID="btnAlert" runat="server" Text="RadAlert" OnClientClick="if(Page_IsValid) {OpenRadAlert();} return false;" CausesValidation="true" />
                <asp:Button ID="btnConfirm" runat="server" Text="RadConfirm" OnClientClick="if(Page_IsValid) {OpenRadConfirm();} return false;" />
                <asp:Button ID="btnPrompt" runat="server" Text="RadPrompt" OnClientClick="if(Page_IsValid) {OpenRadPrompt();} return false;" />
                <asp:Button ID="btnRadwindow" runat="server" Text="RadWindow" OnClientClick="if(Page_IsValid) {OpenRadWindow();} return false;" />
            </fieldset>
        </div>
        <div class="div1">
            <fieldset>
                <legend>Server-side</legend>
                <asp:Button ID="btnAlertServerSide" runat="server" Text="RadAlert" OnClick="btnAlertServerSide_Click" />
                <asp:Button ID="btnConfirmServerSide" runat="server" Text="RadConfirm" OnClick="btnConfirmServerSide_Click" />
                <asp:Button ID="btnPromptServerSide" runat="server" Text="RadPrompt" OnClick="btnPromptServerSide_Click" />
                <asp:Button ID="btnRadWindowServerSide" runat="server" Text="RadWindow" OnClick="btnRadWindowServerSide_Click" />
            </fieldset>
        </div>
        <div class="div1">
            <fieldset>
                <legend>Ajaxified</legend>
                <asp:Button ID="btnAlertAjax" runat="server" Text="RadAlert" OnClick="btnAlertAjax_Click" />
                <asp:Button ID="btnConfirmAjax" runat="server" Text="RadConfirm" OnClick="btnConfirmAjax_Click" />
                <asp:Button ID="btnPromptAjax" runat="server" Text="RadPrompt" OnClick="btnPromptAjax_Click" />
                <asp:Button ID="btnRadWindowAjax" runat="server" Text="RadWindow" OnClick="btnRadWindowAjax_Click" />
            </fieldset>
        </div>
        <div style="clear: both; margin-bottom: 2px;"></div>
        <div class="div1">
            Width in px:  
                <asp:TextBox ID="txtWidth" runat="server" TextMode="Number"></asp:TextBox>
        </div>
        <div class="div1">
            Height in px:
                <asp:TextBox ID="txtHeight" runat="server" TextMode="Number"></asp:TextBox>
        </div>
        <div style="clear: both; margin-bottom: 2px;"></div>
        <div class="div1">
            Max Width Proportion in %:
                <asp:TextBox ID="wPerc" runat="server" TextMode="Number"></asp:TextBox>
        </div>
        <div class="div1">
            Max Height Proportion in %:
                <asp:TextBox ID="hPerc" runat="server" TextMode="Number"></asp:TextBox>
        </div>
        <div style="clear: both; margin-bottom: 2px;"></div>
        <div class="div1">
            Keep width & Height Fixed :
                <asp:CheckBox ID="autoSize" runat="server" />
        </div>
         <div class="div1" style="font-weight:bold">
            Keep Position Fixed :
                <asp:CheckBox ID="fixedPosition" runat="server" />
        </div>
        <div style="clear: both"></div>
        <div id="animDiv" class="div1">
            <fieldset style="border: 1px solid limegreen">
                <legend style="font-weight: bold; font-size: large">Native Animation Settings</legend>
                Animation<br />
                <asp:DropDownList ID="ddlAnimation" runat="server" OnSelectedIndexChanged="ddlAnimation_SelectedIndexChanged" AutoPostBack="true" Style="width: auto; min-width: 130px;">
                    <asp:ListItem Text="None" Selected="True" Value="None"></asp:ListItem>
                    <asp:ListItem Text="FlyIn" Value="FlyIn"></asp:ListItem>
                    <asp:ListItem Text="Resize" Value="Resize"></asp:ListItem>
                    <asp:ListItem Text="Slide" Value="Slide"></asp:ListItem>
                    <asp:ListItem Text="Fade" Value="Fade"></asp:ListItem>
                </asp:DropDownList>
                <br />
                Animation Duration in milliseconds<br />
                <asp:TextBox ID="txtAnimationDuration" runat="server" Text="300" TextMode="Number" AutoPostBack="true" OnTextChanged="txtAnimationDuration_TextChanged" required></asp:TextBox><asp:RequiredFieldValidator ID="rfv2" runat="server" ErrorMessage="* Required" ControlToValidate="txtAnimationDuration" ForeColor="Red"></asp:RequiredFieldValidator>
                <%--                            <telerik:RadButton ID="btnAnimationSettings" runat="server" Text="Set Animation Settings & Run a Sample" OnClick="btnAnimationSettings_Click" Skin="BlackMetroTouch"  style="margin-top:4px;"/>--%>
            </fieldset>
        </div>
        <div style="clear: both"></div>
        <div id="jqDiv" class="div1">
            <fieldset style="border: 1px solid limegreen">
                <legend style="font-weight: bold; font-size: large">jqAnimation Settings</legend>

                <div class="div1" id="open">
                    jqOpen Animation<br />
                    <select name="openeffect" id="openeffect" style="width: 200px" runat="server">
                        <option value="">None</option>
                        <option value="blind">Blind</option>
                        <option value="bounce">Bounce</option>
                        <option value="clip">Clip</option>
                        <option value="drop">Drop</option>
                        <option value="explode">Explode</option>
                        <option value="fold">Fold</option>
                        <option value="highlight">Highlight</option>
                        <option value="puff">Puff</option>
                        <option value="pulsate">Pulsate</option>
                        <option value="scale">Scale</option>
                        <option value="shake">Shake</option>
                        <option value="size">Size</option>
                        <option value="slide">Slide</option>
                        <option value="fade">Fade</option>
                    </select>
                </div>
                <div class="div1" id="open1" style="display: none">
                    jqOpen Animation<br />
                    <select name="openeffect1" id="openeffect1" style="width: 200px;" runat="server">
                        <option value="">None</option>
                        <option value="slide">Slide</option>
                        <option value="resize">Resize</option>
                        <option value="fade">Fade</option>
                        <option value="sizeUp">SizeUp</option>
                    </select>
                </div>

                <div class="div1" id="close">
                    jqClose Animation<br />
                    <select name="closeeffect" id="closeeffect" style="width: 200px" runat="server">
                        <option value="">None</option>
                        <option value="blind">Blind</option>
                        <option value="bounce">Bounce</option>
                        <option value="clip">Clip</option>
                        <option value="drop">Drop</option>
                        <option value="explode">Explode</option>
                        <option value="fold">Fold</option>
                        <option value="highlight">Highlight</option>
                        <option value="puff">Puff</option>
                        <option value="pulsate">Pulsate</option>
                        <option value="scale">Scale</option>
                        <option value="shake">Shake</option>
                        <option value="size">Size</option>
                        <option value="slide">Slide</option>
                        <option value="fade">Fade</option>
                    </select>
                </div>
                <div class="div1" id="close1" style="display: none">
                    jqClose Animation<br />
                    <select name="closeeffect1" id="closeeffect1" style="width: 200px;" runat="server">
                        <option value="">None</option>
                        <option value="slide">Slide</option>
                        <option value="resize">Resize</option>
                        <option value="fade">Fade</option>
                        <option value="sizeDown">SizeDown</option>
                    </select>
                </div>
                <div style="clear: both"></div>
                <div class="div1" id="opene">
                    jqOpen Easing<br />
                    <select name="openeasing" id="openeasing" style="width: 200px" runat="server">
                          <option value="swing">Swing</option>
                        <option value="linear">Linear</option>
                        <option value="easeInQuad">EaseInQuad</option>
                        <option value="easeOutQuad">EaseOutQuad</option>
                        <option value="easeInOutQuad">EaseInOutQuad</option>
                        <option value="easeInCubic">EaseInCubic</option>
                        <option value="easeOutCubic">EaseOutCubic</option>
                        <option value="easeInOutCubic">EaseInOutCubic</option>
                        <option value="easeInQuart">EaseInQuart</option>
                        <option value="easeOutQuart">EaseOutQuart</option>
                        <option value="easeInOutQuart">EaseInOutQuart</option>
                        <option value="easeInQuint">EaseInQuint</option>
                        <option value="easeOutQuint">EaseOutQuint</option>
                        <option value="easeInOutQuint">EaseInOutQuint</option>
                        <option value="easeInExpo">EaseInExpo</option>
                        <option value="easeOutExpo">EaseOutExpo</option>
                        <option value="easeInOutExpo">EaseInOutExpo</option>
                        <option value="easeInSine">EaseInSine</option>
                        <option value="easeOutSine">EaseOutSine</option>
                        <option value="easeInOutSine">EaseInOutSine</option>
                        <option value="easeInCirc">EaseInCirc</option>
                        <option value="easeOutCirc">EaseOutCirc</option>
                        <option value="easeInOutCirc">EaseInOutCirc</option>
                        <option value="easeInElastic">EaseInElastic</option>
                        <option value="easeOutElastic">EaseOutElastic</option>
                        <option value="easeInOutElastic">EaseInOutElastic</option>
                        <option value="easeInBack">EaseInBack</option>
                        <option value="easeOutBack">EaseOutBack</option>
                        <option value="easeInOutBack">EaseInOutBack</option>
                        <option value="easeInBounce">EaseInBounce</option>
                        <option value="easeOutBounce">EaseOutBounce</option>
                        <option value="easeInOutBounce">EaseInOutBounce</option>
                        <option value="easeInExpo">EaseInExpo</option>
                        <option value="easeOutExpo">EaseOutExpo</option>
                        <option value="easeInOutExpo">EaseInOutExpo</option>
                    </select>
                </div>
                <div class="div1" id="opene1" style="display: none">
                    jqOpen Easing<br />
                    <select name="openeasing1" id="openeasing1" style="width: 200px" runat="server">
                        <option value="swing">Swing</option>
                        <option value="linear">Linear</option>
                    </select>
                </div>

                <div class="div1" id="closee">
                    jqClose Easing<br />
                    <select name="closeeasing" id="closeeasing" style="width: 200px" runat="server">
                          <option value="swing">Swing</option>
                        <option value="linear">Linear</option>
                        <option value="easeInQuad">EaseInQuad</option>
                        <option value="easeOutQuad">EaseOutQuad</option>
                        <option value="easeInOutQuad">EaseInOutQuad</option>
                        <option value="easeInCubic">EaseInCubic</option>
                        <option value="easeOutCubic">EaseOutCubic</option>
                        <option value="easeInOutCubic">EaseInOutCubic</option>
                        <option value="easeInQuart">EaseInQuart</option>
                        <option value="easeOutQuart">EaseOutQuart</option>
                        <option value="easeInOutQuart">EaseInOutQuart</option>
                        <option value="easeInQuint">EaseInQuint</option>
                        <option value="easeOutQuint">EaseOutQuint</option>
                        <option value="easeInOutQuint">EaseInOutQuint</option>
                        <option value="easeInExpo">EaseInExpo</option>
                        <option value="easeOutExpo">EaseOutExpo</option>
                        <option value="easeInOutExpo">EaseInOutExpo</option>
                        <option value="easeInSine">EaseInSine</option>
                        <option value="easeOutSine">EaseOutSine</option>
                        <option value="easeInOutSine">EaseInOutSine</option>
                        <option value="easeInCirc">EaseInCirc</option>
                        <option value="easeOutCirc">EaseOutCirc</option>
                        <option value="easeInOutCirc">EaseInOutCirc</option>
                        <option value="easeInElastic">EaseInElastic</option>
                        <option value="easeOutElastic">EaseOutElastic</option>
                        <option value="easeInOutElastic">EaseInOutElastic</option>
                        <option value="easeInBack">EaseInBack</option>
                        <option value="easeOutBack">EaseOutBack</option>
                        <option value="easeInOutBack">EaseInOutBack</option>
                        <option value="easeInBounce">EaseInBounce</option>
                        <option value="easeOutBounce">EaseOutBounce</option>
                        <option value="easeInOutBounce">EaseInOutBounce</option>
                        <option value="easeInExpo">EaseInExpo</option>
                        <option value="easeOutExpo">EaseOutExpo</option>
                        <option value="easeInOutExpo">EaseInOutExpo</option>
                    </select>
                </div>
                <div class="div1" id="closee1" style="display: none">
                    jqClose Easing<br />
                    <select name="closeeasing1" id="closeeasing1" style="width: 200px" runat="server">
                        <option value="swing">Swing</option>
                        <option value="linear">Linear</option>
                    </select>
                </div>
                <div style="clear: both"></div>
                <div class="div1">
                    jqOpenAnimation Duration<br />
                    <asp:TextBox ID="txtjqOpenAnimationDuration" runat="server" Text="400" TextMode="Number" AutoPostBack="false" Width="100"></asp:TextBox>
                </div>
                <div class="div1">
                    jqCloseAnimation Duration<br />
                    <asp:TextBox ID="txtjqCloseAnimationDuration" runat="server" Text="400" TextMode="Number" AutoPostBack="false" Width="100" required></asp:TextBox>
                </div>
                <div style="clear: both"></div>
                <div class="div1">
                    jQuery UI Animation Enabled
                                <input type="checkbox" name="jqUIAnimationEnabled" id="chkjqUIAnimationEnabled" onclick="showSelects(this)" checked="checked" runat="server" />
                </div>

            </fieldset>
        </div>
        <div style="clear: both"></div>
        <div class="div1">
            Anchor Position
                <select name="anchorposition" id="anchorposition" style="width: 200px" runat="server" onchange="resetPosition(this);">
                    <option value="0">None</option>
                    <option value="1">TopLeft</option>
                    <option value="2">TopRight</option>
                    <option value="3">BottomLeft</option>
                    <option value="4">BottomRight</option>
                    <option value="5">TopMiddle</option>
                    <option value="6">BottomMiddle</option>
                    <option value="7">LeftMiddle</option>
                    <option value="8">RightMiddle</option>
                </select>
        </div>
        <div style="clear: both"></div>
        <div class="div1">
            Left<asp:TextBox ID="txtLeft" runat="server" TextMode="Number" AutoPostBack="false" Width="150"></asp:TextBox>
        </div>
        <div class="div1">
            Top<asp:TextBox ID="txtTop" runat="server" TextMode="Number" AutoPostBack="false" Width="150"></asp:TextBox>
        </div>
        <div class="div1">
            AutoCloseDelay<asp:TextBox ID="txtAutoCloseDelay" runat="server" TextMode="Number" AutoPostBack="false" Width="150"></asp:TextBox>
        </div>
        <div class="div1">
            Show Timer<input type="checkbox" id="chkShowCountDown" runat="server" />
            Timer Text<asp:TextBox ID="txtTimerMessage" runat="server" TextMode="SingleLine" AutoPostBack="false" Width="150" ToolTip="Keep the length of text small so it fits within a single line in popup"></asp:TextBox>
            Closing Timer Text<asp:TextBox ID="txtTimerClosingMessage" runat="server" AutoPostBack="false" Width="150" ToolTip="Keep the length of text small so it fits within a single line in popup"></asp:TextBox>
        </div>
        <div style="clear: both"></div>
        <div class="div1">
            <asp:Button ID="btnClientCode" runat="server" Text="Generate JavaScript Code for current settings" OnClick="btnClientCode_Click" />
        </div>
        <div class="div1">
            <asp:Button ID="btnServerCode" runat="server" Text="Generate C# Code for current settings" OnClick="btnServerCode_Click" />
        </div>
        <div style="clear: both"></div>
        <div class="div1">
            <h3>Enter Message to display in textbox below</h3>
            <asp:TextBox ID="txtMsg" runat="server" TextMode="MultiLine" Rows="10" Width="100%"></asp:TextBox><br />
        </div>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" DefaultLoadingPanelID="RadAjaxLoadingPanel1" ClientEvents-OnResponseEnd="onResponseEnd" ClientEvents-OnRequestStart="onRequestStart">
            <AjaxSettings>
                <telerik:AjaxSetting AjaxControlID="btnAlertAjax">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadWindowManager1" />
                        <telerik:AjaxUpdatedControl ControlID="btnAlertAjax" UpdatePanelRenderMode="Inline" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="btnConfirmAjax">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadWindowManager1" />
                        <telerik:AjaxUpdatedControl ControlID="btnConfirmAjax" UpdatePanelRenderMode="Inline"/>
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="btnPromptAjax">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="RadWindowManager1" />
                        <telerik:AjaxUpdatedControl ControlID="btnPromptAjax" UpdatePanelRenderMode="Inline" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="btnClientCode">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="lblCodeType" />
                        <telerik:AjaxUpdatedControl ControlID="txtCode" />
                         <telerik:AjaxUpdatedControl ControlID="btnClientCode" UpdatePanelRenderMode="Inline" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="btnServerCode">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="lblCodeType" />
                        <telerik:AjaxUpdatedControl ControlID="txtCode" />
                         <telerik:AjaxUpdatedControl ControlID="btnServerCode" UpdatePanelRenderMode="Inline" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
                <telerik:AjaxSetting AjaxControlID="btnRadWindowAjax">
                    <UpdatedControls>
                        <telerik:AjaxUpdatedControl ControlID="btnRadWindowAjax" UpdatePanelRenderMode="Inline" />
                    </UpdatedControls>
                </telerik:AjaxSetting>
            </AjaxSettings>
        </telerik:RadAjaxManager>
        <telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="MetroTouch">
        </telerik:RadAjaxLoadingPanel>
        <telerik:RadWindow ID="rwdCode" runat="server" VisibleStatusbar="false" ShowContentDuringLoad="true" Modal="false" RenderMode="Auto" AutoSize="true" OnClientResizeEnd="codePopupResized" OnClientShow="onCodeWindowShown" OnClientCommand="codePopupCommand" DestroyOnClose="true" AutoSizeBehaviors="Default" Behaviors="Close,Maximize,Move" OnClientBeforeClose="codePopupBeforeClose" >
            <ContentTemplate>
                <div id="contentDiv" style="display:table;" >
                    <asp:Label ID="lblCodeType" runat="server" Font-Bold="true" Font-Size="Large"></asp:Label>
                    <div>
                        <asp:TextBox ID="txtCode" runat="server" TextMode="MultiLine" Rows="15" Width="550" Height="500" Font-Size="Small" Font-Names="consolas,sans-serif"></asp:TextBox>
                        <div id="runCode" style="width:500px">
                            <input type="button" value="Run above code" onclick="runCode(); return false;" id="btnRunCode" /><br />
                            (NOTE: Uncomment the code that you want to run, and comment what you don't want to run. DO NOT run multiple popup code at the same time; for example do not uncomment radalert as well as radconfirm code before running the code, but only have either radalert or radconfirm uncommented.)
                        </div>
                    </div>
                </div>
            </ContentTemplate>
        </telerik:RadWindow>

        <telerik:RadWindow ID="radWindow1" runat="server" Animation="None"  VisibleStatusbar="false" ShowContentDuringLoad="false" ReloadOnShow="true"  Modal="false" RenderMode="Auto" AutoSize="true" OnClientCommand="radwindowCommand" DestroyOnClose="true" AutoSizeBehaviors="Default" Behaviors="Close,Maximize,Move" InitialBehaviors="None">
            <ContentTemplate>
                <div style="display:table;width:580px;">
                    <asp:Label ID="Label1" runat="server" Font-Bold="true" Font-Size="Large"></asp:Label>
                    <div>
                        <asp:TextBox ID="txtBox1" runat="server" ReadOnly="true" TextMode="MultiLine" Rows="15" Width="550" Height="500" Font-Size="Small" Text="(1) This library can be used to animate RadWindow through jquery as well as jquery-ui animation.

(2) jquery or jquery-ui animation can be selected at opening or closing stages of the radwindow. Native animation can only be selected at opening stage.

(3) This library will autosize a RadWindow instance using autoSize( ) client-side api. 

(4) Also, this library will open a timed RadWindow i.e. the radwindow will be automatically closed after a set interval of time. Timer display is supported for RadWindow provided a div by the id of 'azTimer' is part of the content template of RadWindow. For best results, everything in content template should be within a single container div element and the 'azTimer' div  should be placed just before the closing tag of this container div. Look at radWindow1 content template to see how this is implemented.

(5) Also, this library can be used to easily anchor the radwindow or  position at a custom location by simply setting anchorposition or left/top properties of az object.

(6)When opening a RadWindow from ajax, there is no need to ajaxify RadWindow or RadWindowManager. But at least, the button that opens the RadWindow should be included in ajaxified controls and it should have itself as the updated control as shown in code snippet below.
             
If there are additional controls like a textbox inside the content template of RadWindow that need to be updated through ajax before opening it, then you have to include these controls also in updated controls collection of the button.
                        
                        
             &lt;telerik:AjaxSetting AjaxControlID=&quot;btnRadWindowAjax&quot; &gt;
                    &lt;UpdatedControls&gt;
                        &lt;telerik:AjaxUpdatedControl ControlID=&quot;btnRadWindowAjax&quot; UpdatePanelRenderMode=&quot;Inline&quot; /&gt;
                    &lt;/UpdatedControls&gt;
                &lt;/telerik:AjaxSetting&gt;

If there are additional controls like a textbox inside the content template of RadWindow that need to be updated through ajax before opening it, then you have to include these controls in RadAjaxManager updated controls collection.
                        
                        
              &lt;telerik:AjaxSetting AjaxControlID=&quot;btnRadWindowAjax&quot; &gt;
                    &lt;UpdatedControls&gt;
                        &lt;telerik:AjaxUpdatedControl ControlID=&quot;btnRadWindowAjax&quot; UpdatePanelRenderMode=&quot;Inline&quot; /&gt;
                    &lt;/UpdatedControls&gt;
                &lt;/telerik:AjaxSetting&gt;

If there are addition controls like a textbox inside the content template of RadWindow that need to be updated through ajax before opening it, then you have to include these controls in RadAjaxManager updated controls collection.">
                        
                        </asp:TextBox>
                    </div>
                    <div id="azTimer"></div>
                </div>

            </ContentTemplate>
        </telerik:RadWindow>
        <telerik:RadWindow ID="radWindow3" runat="server" NavigateUrl="http://localhost/appsprocure/" Height="500" Width="500"  Title="AppsProcure" Animation="None" VisibleStatusbar="false" ShowContentDuringLoad="false" ReloadOnShow="true" VisibleOnPageLoad="false" Modal="false" RenderMode="Auto" AutoSize="false"  DestroyOnClose="false" AutoSizeBehaviors="Default" Behaviors="Close,Maximize,Move" InitialBehaviors="None"></telerik:RadWindow>
        <telerik:RadWindow ID="login" runat="server" Animation="None"  VisibleStatusbar="false" ShowContentDuringLoad="false" ReloadOnShow="true"  Modal="false" RenderMode="Auto" AutoSize="true" OnClientCommand="radwindowCommand" DestroyOnClose="true" AutoSizeBehaviors="Default" Behaviors="Close,Maximize,Move" InitialBehaviors="None">
            <ContentTemplate>
                <div style="table">
                    <div class="logo">
                        <div class="login-block login-background">
                            <h1>Login</h1>
                            <input type="text" value="" placeholder="Username" id="username" />
                            <input type="password" value="" placeholder="Password" id="password" />
                            <button>Submit</button>
                        </div>
                </div>
                </div>
            </ContentTemplate>
        </telerik:RadWindow>
        <script>
            Sys.Application.add_load(function () {
                //you can set global animation settings for a page
                //rather than setting it for evry dialog you open
                //az.openjqAnimation = "fold";
                //az.closejqAnimation = "bounce";
                //az.jqOpenAnimateStartCallback = animationStarting;
                //az.jqOpenAnimateEndCallback = animationCompleted;
            });

        </script>
         </form>
</body>
</html>
